# Game Components

Collection of react game components to be used in future development.

You can check the variations of the designs [here](http://components.clickbit.net) (coming soon)

| UI elements        | Required props              | Other props          |
| ------------------ | --------------------------- | -------------------- |
| `<Button />`       | width, height, color, label | float, margin        |
| `<RoundButton />`  | diameter, color, label      | float, margin        |
| `<Balances />`     | balance                     | winnings, bonus, fun |

| Layouts        | Props   |
| -------------- | ------- |
| mobile menu    | ------- |
| desktop menu   | ------- |
| external pages | ------- |
| settings       | ------- |
| options        | ------- |
| history        | ------- |
| paytable       | ------- |
| rules          | ------- |

# Scripts

### Test the component locally:
1. You first need to build the game-components with `build`
2. Once you see there is no errors, go to your other project
3. Do `yarn add file:replace/with/your/component/route/game-components`
4. Restart your project

### Publish to NPM:
1. First you need to login with `npm login` and enter your credentials
2. Use the `publishLib` script will do the rest for you.

### Use the components:
1. Do `yarn add @clickbit/game-components`
2. Restart your project