/// <reference types="react" />
import * as React from 'react';
import { Colors, Floats } from "../enums";
export interface IColors {
    color?: Colors;
}
export interface IFloat {
    float?: Floats;
}
export interface IRoundButton extends IColors, IFloat {
    disabled?: boolean;
    height?: number;
    label?: string;
    margin?: number;
    width?: number;
}
export default class Button extends React.Component<IRoundButton, {}> {
    render(): JSX.Element;
}
