/// <reference types="react" />
import * as React from 'react';
import { Colors, Floats } from "../enums";
export interface IColors {
    color: Colors;
}
export interface IFloat {
    float?: Floats;
}
export interface IRoundButton extends IColors, IFloat {
    disabled?: boolean;
    diameter: number;
    label: string;
    margin?: number;
    onClick?: () => void;
}
export default class RoundButton extends React.Component<IRoundButton, {}> {
    render(): JSX.Element;
}
